
import Router from'@/router'
export function wxConfig(data,routpush){//wx.comfig
    console.log('进入配置')
    let that = this
    let configs = data.config
    let agentConfigs = data.agentConfig
    wx.config({
      beta: true,
      debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
      appId: configs.appId, // 必填，公众号的唯一标识 
      nonceStr: configs.nonceStr, // 必填，生成签名的随机串 
      signature: configs.signature, // 必填，签名，见附录1 
      timestamp: configs.timestamp, // 必填，生成签名的时间戳 
      jsApiList: [
          'chooseImage',
          'previewImage',
          'uploadImage',
          'downloadImage',
          'previewFile',
          'getLocation',
      ]
    });
    wx.ready(function(){
      console.log('wxConfig成功')
      console.log(wx)
      
      wx.agentConfig({
        corpid: agentConfigs.corpid, // 必填，企业微信的corpid，必须与当前登录的企业一致
        agentid: agentConfigs.agentid, // 必填，企业微信的应用id （e.g. 1000247）
        timestamp: agentConfigs.timestamp, // 必填，生成签名的时间戳
        nonceStr: agentConfigs.nonceStr, // 必填，生成签名的随机串
        signature: agentConfigs.signature,// 必填，签名，见附录-JS-SDK使用权限签名算法
        jsApiList: ['selectExternalContact'], //必填
        success: function(res) { // 回调
          console.log('agentConfig成功')
          console.log(res)
            //wx.agentConfig成功回调后，WWOpenData 才会注入到 window 对象上面
          console.log(window.WWOpenData)
          if(routpush){
            Router.push({path: '/'})//跳转首页
          }
        },
        fail: function(res) {
          console.log(res)
            if(res.errMsg.indexOf('function not exist') > -1){
                alert('版本过低请升级')
            }
        }
      });
      // that.wxAgentConfig(that,agentConfigs)//成功后执行 wx.agentConfig
    });
    wx.error(function (res) {
        console.log("调用微信jsapi返回的状态:"+res.errMsg);
        console.log(res)
    });
  }